﻿using System.Runtime.Serialization;

namespace AirFighter
{
    [Serializable]
    internal class AircraftNotFoundException : ApplicationException
    {
        public AircraftNotFoundException(int i) : base($"Не найден объект по позиции {i}") { }
        public AircraftNotFoundException() : base() { }
        public AircraftNotFoundException(string message) : base(message) { }
        public AircraftNotFoundException(string message, Exception exception) : base(message, exception) { }
        protected AircraftNotFoundException(SerializationInfo info, StreamingContext contex) : base(info, contex) { }
    }
}
